Package org.eclipse.emf.compare.provider.spec

# Class CompareItemProviderAdapterFactorySpec

java.lang.Object
org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
org.eclipse.emf.compare.util.CompareAdapterFactory
org.eclipse.emf.compare.provider.CompareItemProviderAdapterFactory
org.eclipse.emf.compare.provider.spec.CompareItemProviderAdapterFactorySpec

All Implemented Interfaces:
  `AdapterFactory`, `ComposeableAdapterFactory`, `IChangeNotifier`, `IDisposable`

public class CompareItemProviderAdapterFactorySpec extends CompareItemProviderAdapterFactory
Specialized `CompareItemProviderAdapterFactory` returning ItemProviderAdapter with nice `IItemLabelProvider.getText(Object)` and `IItemLabelProvider.getImage(Object)`.

## Field Summary

### Fields inherited from class org.eclipse.emf.compare.provider.CompareItemProviderAdapterFactory

`changeNotifier, copyright, disposable, parentAdapterFactory, supportedTypes`

### Fields inherited from class org.eclipse.emf.compare.util.CompareAdapterFactory

`modelPackage, modelSwitch`

## Constructor Summary

Constructors
Constructor
Description
`CompareItemProviderAdapterFactorySpec()`
Constructor calling super
invalid reference

    #CompareItemProviderAdapterFactory()

.

## Method Summary

Modifier and Type
Method
Description
`Adapter`
`createAttributeChangeAdapter()`
This creates an adapter for a `AttributeChange`.
`Adapter`
`createComparisonAdapter()`
This creates an adapter for a `Comparison`.
`Adapter`
`createConflictAdapter()`
This creates an adapter for a `Conflict`.
`Adapter`
`createFeatureMapChangeAdapter()`
This creates an adapter for a `FeatureMapChange`.
`Adapter`
`createMatchAdapter()`
This creates an adapter for a `Match`.
`Adapter`
`createMatchResourceAdapter()`
This creates an adapter for a `MatchResource`.
`Adapter`
`createReferenceChangeAdapter()`
This creates an adapter for a `ReferenceChange`.
`Adapter`
`createResourceAttachmentChangeAdapter()`
This creates an adapter for a `ResourceAttachmentChange`.
`Adapter`
`createResourceLocationChangeAdapter()`
This creates an adapter for a `ResourceLocationChange`.

### Methods inherited from class org.eclipse.emf.compare.provider.CompareItemProviderAdapterFactory

`adapt, adapt, addListener, associate, createDiffAdapter, createEquivalenceAdapter, dispose, fireNotifyChanged, getRootAdapterFactory, isFactoryForType, removeListener, setParentAdapterFactory`

### Methods inherited from class org.eclipse.emf.compare.util.CompareAdapterFactory

`createAdapter, createEObjectAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

## Constructor Details

### CompareItemProviderAdapterFactorySpec

public CompareItemProviderAdapterFactorySpec()
Constructor calling super
invalid reference

    #CompareItemProviderAdapterFactory()

.

## Method Details

### createMatchAdapter

public Adapter createMatchAdapter()
This creates an adapter for a `Match`.

Overrides:
  `createMatchAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createMatchAdapter()`

### createReferenceChangeAdapter

public Adapter createReferenceChangeAdapter()
This creates an adapter for a `ReferenceChange`.

Overrides:
  `createReferenceChangeAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createReferenceChangeAdapter()`

### createAttributeChangeAdapter

public Adapter createAttributeChangeAdapter()
This creates an adapter for a `AttributeChange`.

Overrides:
  `createAttributeChangeAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createAttributeChangeAdapter()`

### createFeatureMapChangeAdapter

public Adapter createFeatureMapChangeAdapter()
This creates an adapter for a `FeatureMapChange`.

Overrides:
  `createFeatureMapChangeAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createFeatureMapChangeAdapter()`

### createMatchResourceAdapter

public Adapter createMatchResourceAdapter()
This creates an adapter for a `MatchResource`.

Overrides:
  `createMatchResourceAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createMatchResourceAdapter()`

### createComparisonAdapter

public Adapter createComparisonAdapter()
This creates an adapter for a `Comparison`.

Overrides:
  `createComparisonAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createComparisonAdapter()`

### createConflictAdapter

public Adapter createConflictAdapter()
This creates an adapter for a `Conflict`.

Overrides:
  `createConflictAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createConflictAdapter()`

### createResourceAttachmentChangeAdapter

public Adapter createResourceAttachmentChangeAdapter()
This creates an adapter for a `ResourceAttachmentChange`.

Overrides:
  `createResourceAttachmentChangeAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createResourceAttachmentChangeAdapter()`

### createResourceLocationChangeAdapter

public Adapter createResourceLocationChangeAdapter()
This creates an adapter for a `ResourceLocationChange`.

Overrides:
  `createResourceLocationChangeAdapter` in class `CompareItemProviderAdapterFactory`
Returns:
  the new adapter.
See Also:
  - `CompareItemProviderAdapterFactory.createResourceLocationChangeAdapter()`